import React from 'react';
import { CardProps } from '@alifd/next/types/card';
export interface lpCardProps extends CardProps {
    moreOption?: any[];
    moreMenuPrpos?: object;
    moreProps?: object;
    filterClassName?: string;
    footerClassName?: string;
    AuxiliaryInfo?: string | null;
    footerAction?: any;
    filterContent?: React.ReactNode | null;
    cardStyle?: React.CSSProperties | undefined;
}
declare function LPCard(props: lpCardProps): JSX.Element;
declare namespace LPCard {
    var Cards: (props: {
        dataSource: cardData[];
    }) => JSX.Element;
    var Media: React.ComponentType<import("@alifd/next/types/card").CardMediaProps>;
    var Header: React.ComponentType<import("@alifd/next/types/card").CardHeaderProps>;
    var Content: React.ComponentType<import("@alifd/next/types/card").CardContentProps>;
    var Divider: React.ComponentType<import("@alifd/next/types/card").CardDividerProps>;
    var Actions: React.ComponentType<import("@alifd/next/types/card").CardActionsProps>;
}
interface cardData extends lpCardProps {
    key: string | number;
    nestRight?: boolean;
    nestBottom?: boolean;
}
export default LPCard;
